Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06861 Graphics Minor Always Feb 1, 2018, 18:04 22 days ago
Tester EoceneMiacid View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Open OS Linux (64-bit)
Status [?] Confirmed Driver model1.cpp
Version 0.194 Fixed in Version Build 64-bit
Summary 06861: vr, vf: Camera position problem in Virtua Racing / Virtua Fighter (other Model 1 games?)
Description 0.194 appears to have introduced a regression with these games.
The view is now zoomed out too much, the camera position is wrong.
Steps To Reproduce Start and play the game. Virtua Fighter also demonstrates the problem in the attract sequence.
Additional Information
Flags
Regression Version
Affected Sets / Systems vr, vf
Attached Files
png file icon 0006.png (18,979 bytes) Feb 2, 2018, 11:44 Uploaded by EoceneMiacid
EoceneMiacid
png file icon 0003.png (7,730 bytes) Feb 2, 2018, 11:45 Uploaded by EoceneMiacid
EoceneMiacid
png file icon 0004.png (12,635 bytes) Feb 2, 2018, 11:46 Uploaded by EoceneMiacid
EoceneMiacid
png file icon 0000.png (17,728 bytes) Feb 2, 2018, 11:48 Uploaded by EoceneMiacid
EoceneMiacid
png file icon vr.png (29,613 bytes) Feb 2, 2018, 14:00 Uploaded by wuemura
Compiled with make clean && make SOURCES=src/mame/drivers/model1.cpp -j7
wuemura
Relationships
There are no relationship linked to this issue.
Notes
28
User avatar
No.14694
EoceneMiacid
Tester
Feb 1, 2018, 19:12
edited on: Feb 1, 2018, 19:17
Here are MNG's that show the problem

Virtua Racing: http://www.mediafire.com/file/a3gnduapq069iaa/vr.mng
Virtua Fighter: http://www.mediafire.com/file/qiqdq6uum1inlcq/vf.mng
User avatar
No.14695
B2K24
Moderator
Feb 1, 2018, 20:07
Unable to reproduce on Windows 10 X64 with official release 0.194 binary.
User avatar
No.14696
NekoEd
Senior Tester
Feb 1, 2018, 21:51
edited on: Feb 1, 2018, 21:52
Unable to reproduce, Linux/x64 0.194.

I can't view the MNGs but I'm familiar with vf's gameplay and see no difference from earlier versions. Nothing seems amiss in vr, either, the camera positions are all correct.
User avatar
No.14698
EoceneMiacid
Tester
Feb 2, 2018, 07:44
Okay.

I just downloaded a fresh copy of the source here > https://github.com/mamedev/mame/releases/download/mame0194/mame0194s.zip
Extracted it, and produced a model1-only build with:

make SUBTARGET=tinymame USE_QTDEBUG=0 SOURCES=src/mame/drivers/model1.cpp REGENIE=1 -j5

Binary: http://www.mediafire.com/file/yg74z7nd0ppunmn/model1mame

The problem remains. I'm using GCC 7.2.0, if that matters.
User avatar
No.14699
wuemura
Viewer
Feb 2, 2018, 11:13
Try to film a original arcade or find a arcade footage, put mame output side to side so the developers can see how off the camera are.
Unable to reproduce, Linux and Windows.
User avatar
No.14700
EoceneMiacid
Tester
Feb 2, 2018, 11:44
"Try to film a original arcade or find a arcade footage, put mame output side to side so the developers can see how off the camera are."

That's pretty useless advice, right?

I encountered a similar issue with legionna a while ago - gfx were scrambled, which nobody could reproduce. That eventually resolved itself, two MAME iterations (or so) later.
User avatar
No.14701
EoceneMiacid
Tester
Feb 2, 2018, 11:50
edited on: Feb 2, 2018, 11:52
Added a bunch of screenshots
User avatar
No.14702
wuemura
Viewer
Feb 2, 2018, 12:42
Is not a useless advice because we can't reproduce the error and we don't know what you are experiencing.
I understand your frustration because I'm a Linux user myself, and MAME act crazy from time to time and is really annoying to report something that only happens with you and nobody else.

Can't reproduce with Windows, I'll do another test with linux now.

Go to your terminal and type env, copy that output. Then do locale and paste both output here. Post your mame.ini, is in your home in a hidden folder name .mame.
Run MAME with -verbose and post the output here also.
User avatar
No.14703
EoceneMiacid
Tester
Feb 2, 2018, 13:12
edited on: Feb 2, 2018, 13:14
Well, finding a working Virtua Fighter cab within reasonable distance is not going to happen ;)

And there's no frustration involved, these things come with the territory (and I can't stand playing VF anyway).

And I appreciate you want to help, but none of the actions you proposed I'd take have anything to do with this issue. It's a compilation problem, not a configuration one. I have a few environment variables set up, but none of them have anything to do with compilation.

Also I posted a link to the binary > http://www.mediafire.com/file/yg74z7nd0ppunmn/model1mame

... so if you're on x64 Linux, please try this build to see for yourself.
User avatar
No.14704
wuemura
Viewer
Feb 2, 2018, 13:12
I could reproduce other issues.
Waiting for user input to confirm.
User avatar
No.14706
wuemura
Viewer
Feb 2, 2018, 14:10
edited on: Feb 2, 2018, 14:11
Compiling with:
make clean && make SOURCES=src/mame/drivers/model1.cpp -j7
The foreground is missing, run with -video auto. (make sure your mame.ini is default)
Changing video to "-video opengl" the machine runs fine.

Still waiting for EoceneMiacid so we can see what environment he is running at.
This is binary compiled with that options.
http://www.mediafire.com/file/yyz23t0hbeb2x8b/model1.7z
User avatar
No.14708
EoceneMiacid
Tester
Feb 2, 2018, 15:32
edited on: Feb 2, 2018, 15:59
Pardon my expression, but what the actual fuck.

Your binary behaves exactly the same as mine.

I did some more testing:

Running with "-video software" either causes the game to run fine, to exhibit the camera problem or not render any polygons at all, seemingly at random;
Running with "-video opengl" appears to work fine most of the time, though every now and then (roughly once every five times?) no polygons are rendered.
Running with "-video bgfx" causes the camera problem 100% of the time, but never the 'no polygons' one.

I ran each test twenty times consecutively. There's a randomness factor in here which makes narrowing it down difficult.
User avatar
No.14709
wuemura
Viewer
Feb 2, 2018, 16:21
edited on: Feb 2, 2018, 16:21
Everything that was asked has everything to do to with everything, is well known that mame has issues with non C locales, this makes mame go crazy and mess up the graphics among other things.
https://github.com/mamedev/mame/issues/3004

That's why we need to know what environment you are at and what settings your are using to try to reproduce the issue.

Anyway, you get a confirmed from me.

For other testers with Windows, please try this binary.
http://www.mediafire.com/file/c8n6jbnaull3abm/Mame.7z

It was build with:
make clean && make TARGETOS=windows CROSS_BUILD=1 SYMBOLS=1 SYMLEVEL=1 STRIP_SYMBOLS=1 PTR64=1 SOURCES=src/mame/drivers/model1.cpp -j8

This mess up the graphics also.
User avatar
No.14710
EoceneMiacid
Tester
Feb 2, 2018, 18:03
Huh. Okay.

My environment is:

COLORFGBG=15;0
COLORTERM=truecolor
DISPLAY=:0
HOME=/home/eocene
HUSHLOGIN=FALSE
KONSOLE_DBUS_SERVICE=:1.0
KONSOLE_DBUS_SESSION=/Sessions/18
KONSOLE_PROFILE_NAME=Default
LANG=en_US.UTF-8
LANGUAGE=
LC_ADDRESS=de_BE.UTF-8
LC_IDENTIFICATION=de_BE.UTF-8
LC_MEASUREMENT=de_BE.UTF-8
LC_MONETARY=de_BE.UTF-8
LC_NAME=de_BE.UTF-8
LC_NUMERIC=de_BE.UTF-8
LC_PAPER=de_BE.UTF-8
LC_TELEPHONE=de_BE.UTF-8
LC_TIME=de_BE.UTF-8
LOGNAME=eocene
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/system/data/scripts:/gamedata/bin
PROFILEHOME=
PWD=/mame
QT_QPA_PLATFORMTHEME=qt5ct
SHELL=/usr/bin/fish
SHELL_SESSION_ID=9dd1f4e1e4464d2c9fadf8fc6bce9bc7
SHLVL=2
TERM=xterm-256color
USER=eocene
WINDOWID=4194310
WINDOWPATH=2
WINEDEBUG=-all
XAUTHORITY=/home/ralf/.Xauthority
XDG_CACHE_HOME=/download/temp/cache
XDG_CONFIG_HOME=/system/config
XDG_CURRENT_DESKTOP=rde
XDG_DATA_HOME=/system/data
XDG_RUNTIME_DIR=/run/user/1000
XDG_SEAT=seat0
XDG_SESSION_ID=1
XDG_VTNR=2

I notice LANGUAGE= isn't set properly. I did a clean install of Kubuntu 17.10 last week.
User avatar
No.14712
wuemura
Viewer
Feb 2, 2018, 22:08
edited on: Feb 2, 2018, 22:08
Running your build or my build with:
LANG=de_BE.UTF-8 ./model1mame -video bgfx vr

I got a similar result as yours.
Confirmed.
User avatar
No.14713
EoceneMiacid
Tester
Feb 2, 2018, 23:11
Hey, thanks for investigating this.

I've been trying to run MAME with a few locales prefixed (en_US.UTF-8 for example) but that doesn't fix it for me.
User avatar
No.14714
wuemura
Viewer
Feb 3, 2018, 00:21
edited on: Feb 3, 2018, 00:22
You're welcome.
Mame team in general don't look in to this kind of thing, funky bugs like this get dismissed on the spot if can't be reproduced.

This will not get fixed by just changing locales, the developers have to look on to this to get a proper fix.
User avatar
No.14716
EoceneMiacid
Tester
Feb 3, 2018, 07:32
Well, it's probably not straightforward to fix, and there's more rewarding things to pursue as a dev, no doubt.
I'm just glad someone else confirmed the bug :)
User avatar
No.14728
B2K24
Moderator
Feb 6, 2018, 06:50
It seems another tester was able to confirm this behavior.
User avatar
No.14732
NekoEd
Senior Tester
Feb 7, 2018, 06:05
I was waiting on developer input before doing anything, but nobody showed up.
User avatar
No.14734
Haze
Senior Tester
Feb 7, 2018, 10:48
right, setting the MAME language option is causing some rather horrific glitches for some users, of note, some of which almost look like memory is being trashed.

probably needs running through valgrind or similar with the language options activated.
User avatar
No.14883
EoceneMiacid
Tester
Mar 28, 2018, 14:31
As of 0.196, the problem appears to be fixed for me, regardless of video output chosen.

I suppose this bug may be closed - if anyone else who reported it can confirm this?
User avatar
No.14884
wuemura
Viewer
Mar 28, 2018, 14:49
Not yet, I've to test it over Linux, windows is working fine.
User avatar
No.14885
wuemura
Viewer
Mar 28, 2018, 15:57
edited on: Mar 28, 2018, 16:16
Looks like is fixed but I didn't saw any patch or fix for locales.

The only complain I have is the emulation speed, the emulation on linux is almost perfect, in Windows is very slow using my binary or mame official binary.
vf Windows (official binary)
Average speed: 44.04% (8 seconds)

vf Linux
Average speed: 98.47% (12 seconds)
User avatar
No.14887
Tafoid
Administrator
Mar 28, 2018, 16:16
I suspect your Window experience may be using the software fallback. What does your -verbose output tell you?
User avatar
No.14899
wuemura
Viewer
Mar 29, 2018, 01:17
Video: Monitor 65537 = "\\.\DISPLAY1" (primary)
Direct3D: Using Direct3D 9
Physical width 1351, height 1040
Direct3D: Initialize
Direct3D: Configuring adapter #0 = AMD Radeon R7 200 Series
RawInput: APIs detected
RawInput: APIs detected
RawInput: APIs detected
DirectSound: Primary buffer: 48000 Hz, 16 bits, 2 channels
Input: Adding keyboard #0: HID Keyboard Device (device id: \\?\HID#VID_1D57&PID_AD04&MI_00#7&34cde593&0&0000#{884b96c3-56ef-11d1-bc8c-00a0c91405dd})
Input: Adding keyboard #1: HID Keyboard Device (device id: \\?\HID#VID_045E&PID_0745&MI_00#7&f6fba76&0&0000#{884b96c3-56ef-11d1-bc8c-00a0c91405dd})
Input: Adding mouse #0: HID-compliant mouse (device id: \\?\HID#VID_045E&PID_0745&MI_01&Col01#7&273346bb&0&0000#{378de44c-56ef-11d1-bc8c-00a0c91405dd})
Input: Adding mouse #1: HID-compliant mouse (device id: \\?\HID#VID_1D57&PID_AD04&MI_01&Col01#7&3025489d&0&0000#{378de44c-56ef-11d1-bc8c-00a0c91405dd})
Input: Adding lightgun #0: HID-compliant mouse (device id: \\?\HID#VID_045E&PID_0745&MI_01&Col01#7&273346bb&0&0000#{378de44c-56ef-11d1-bc8c-00a0c91405dd})
Input: Adding lightgun #1: HID-compliant mouse (device id: \\?\HID#VID_1D57&PID_AD04&MI_01&Col01#7&3025489d&0&0000#{378de44c-56ef-11d1-bc8c-00a0c91405dd})
Input: Adding joystick #0: USB Joystick (device id: USB Joystick product_00030e8f-0000-0000-0000-504944564944 instance_cb202010-e146-11e7-8006-444553540000)
Direct3D: Using dynamic textures
Direct3D: YUV format = RGB
Direct3D: Max texture size = 16384x16384
Direct3D: Device created at 1335x1001
Direct3D: Initialize HLSL
Direct3D: First store options
Direct3D: HLSL initialized
Optional device ':tgp' not found
Optional device ':dsbz80' not found
Optional device ':m1comm' not found
Region ':copro_data' created
unzip: opened archive file roms\vf.zip
unzip: found roms\vf.zip ECD
unzip: roms\vf.zip has no ZIP64 ECD locator
unzip: read roms\vf.zip central directory
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
Region ':315_5571' created
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
Region ':315_5572' created
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
Region ':maincpu' created
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
Region ':tgp' created
unzip: found roms\vf.zip in cache
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: closing archive file roms\vf.zip and sending to cache
Region ':m1audio:sndcpu' created
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
Region ':m1audio:pcm1' created
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
Region ':m1audio:pcm2' created
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
Region ':polygons' created
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
unzip: found roms\vf.zip in cache
unzip: opened archive file roms\vf.zip
unzip: closing archive file roms\vf.zip and sending to cache
315-5724.bin NOT FOUND (NO GOOD DUMP KNOWN) (tried in vf vf)
WARNING: the machine might not run correctly.
Optional I/O port ':AN.7' not found
Optional I/O port ':AN.6' not found
Optional I/O port ':AN.5' not found
Optional I/O port ':AN.4' not found
Optional I/O port ':AN.3' not found
Optional I/O port ':AN.2' not found
Optional I/O port ':AN.1' not found
Optional I/O port ':AN.0' not found
Optional memory region ':tgp_data' not found
Optional memory region ':nvram' not found
Optional memory region ':palette:finder_dummy_tag' not found
Starting Virtua Fighter ':'
  (missing dependencies; rescheduling)
Starting NEC V60 ':maincpu'
Starting Timer ':scantimer'
Starting Timer ':iotimer'
Starting NVRAM ':nvram'
Starting Sega System 24 Tilemap ':tile'
  (missing dependencies; rescheduling)
Starting Video Screen ':screen'
Starting palette ':palette'
Starting Sega Model 1 Sound Board ':m1audio'
Starting Motorola MC68000 ':m1audio:sndcpu'
Starting Speaker ':m1audio:lspeaker'
  (missing dependencies; rescheduling)
Starting Speaker ':m1audio:rspeaker'
  (missing dependencies; rescheduling)
Starting YM3438 OPN2C ':m1audio:ymsnd'
Starting Yamaha YMW-258-F ':m1audio:pcm1'
Starting Yamaha YMW-258-F ':m1audio:pcm2'
Starting Intel 8251 USART ':m1audio:uart'
Starting Clock ':m1audio:uart_clock'
Starting Intel 8251 USART ':m1uart'
Starting Clock ':m1uart_clock'
Starting Virtua Fighter ':'
  (missing dependencies; rescheduling)
Starting Sega System 24 Tilemap ':tile'
Starting Speaker ':m1audio:lspeaker'
Starting Speaker ':m1audio:rspeaker'
Starting Virtua Fighter ':'
Attempting to parse: default.cfg
Attempting to parse: vf.cfg
Average speed: 40.95% (6 seconds)
Sound: buffer overflows=25 underflows=1
User avatar
No.15634
EoceneMiacid
Tester
25 days ago
This problem was resolved a while ago and this bug may be closed.
User avatar
No.15648
Hydreigon
Tester
23 days ago
edited on: 23 days ago
This also means bugs 07025 and 07026 can be closed unless you can confirm the two aren't related to 06861. I thought 07025 was a duplicate to begin with and 07026 was an unnecessary double post.